<form [formGroup]="addNewTerm" class="example-form" (ngSubmit)="postTerm()">
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Nazwa semestru</mat-label>
    <input matInput placeholder="" value="" formControlName="name">
  </mat-form-field>
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Stopień</mat-label>
    <input matInput placeholder="" value="" formControlName="degree">
  </mat-form-field>
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Numer</mat-label>
    <input matInput placeholder="" value="" formControlName="number">
  </mat-form-field>
  <h4>Przedmioty:</h4>
  <p *ngFor="let lec of lectureTypesFormArray.controls; index as i">
    <span formArrayName="lectureTypes">
        <mat-checkbox  [formControlName]="i">{{lectures[i].name}}</mat-checkbox>
    </span>
  </p>
  <button type="submit" class="btn">
    <span *ngIf="operationType === 'edit'; else elseBlock">Edytuj</span>
    <ng-template #elseBlock>Dodaj</ng-template>
  </button>
</form>
